Package com.io7m.idstore.model

# Record Class IdUserSearchByEmailParameters

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdUserSearchByEmailParameters

Record Components:
  `timeCreatedRange` - Only users created within this time range are returned
  `timeUpdatedRange` - Only users updated within this time range are returned
  `search` - The search query
  `ordering` - The ordering specification
  `limit` - The limit on the number of returned users

public record IdUserSearchByEmailParameters(IdTimeRange timeCreatedRange, IdTimeRange timeUpdatedRange, String search, IdUserOrdering ordering, int limit) extends Record
The immutable parameters required to search users.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUserSearchByEmailParameters(IdTimeRange timeCreatedRange, IdTimeRange timeUpdatedRange, String search, IdUserOrdering ordering, int limit)`
  The immutable parameters required to list users.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdUserSearchByEmailParameters`
  `defaults()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `limit()`
  Returns the value of the `limit` record component.
  `IdUserOrdering`
  `ordering()`
  Returns the value of the `ordering` record component.
  `String`
  `search()`
  Returns the value of the `search` record component.
  `IdTimeRange`
  `timeCreatedRange()`
  Returns the value of the `timeCreatedRange` record component.
  `IdTimeRange`
  `timeUpdatedRange()`
  Returns the value of the `timeUpdatedRange` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUserSearchByEmailParameters

    public IdUserSearchByEmailParameters(IdTimeRange timeCreatedRange, IdTimeRange timeUpdatedRange, String search, IdUserOrdering ordering, int limit)
    The immutable parameters required to list users.
    Parameters:
      `timeCreatedRange` - Only users created within this time range are returned
      `timeUpdatedRange` - Only users updated within this time range are returned
      `search` - The search query
      `ordering` - The ordering specification
      `limit` - The limit on the number of returned users

- ## Method Details

  - ### defaults

    public static IdUserSearchByEmailParameters defaults()
    Returns:
      Reasonable default parameters

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### timeCreatedRange

    public IdTimeRange timeCreatedRange()
    Returns the value of the `timeCreatedRange` record component.
    Returns:
      the value of the `timeCreatedRange` record component

  - ### timeUpdatedRange

    public IdTimeRange timeUpdatedRange()
    Returns the value of the `timeUpdatedRange` record component.
    Returns:
      the value of the `timeUpdatedRange` record component

  - ### search

    public String search()
    Returns the value of the `search` record component.
    Returns:
      the value of the `search` record component

  - ### ordering

    public IdUserOrdering ordering()
    Returns the value of the `ordering` record component.
    Returns:
      the value of the `ordering` record component

  - ### limit

    public int limit()
    Returns the value of the `limit` record component.
    Returns:
      the value of the `limit` record component